<?php
    if (strpos ($_GET['content'], '/logout/') !== false) {
        session_start();
        unset($_SESSION['admin']);
        header("Location: ".$_SERVER['PHP_SELF']);
    }
    if (isset ($_GET['content']) && !empty ($_GET['content'])) {
        if (strpos ($_GET['content'], '../') !== false) die ('Zugriffsverletzung !');
        if ($_GET['content'] {0} != '/') $_GET['content'] = '/' . $_GET['content'];
    }


    if (!isset($_GET['content']) || empty ($_GET['content'])) $_GET['content'] = '/startseite';
    if (!file_exists('content' . $_GET['content'] . '.php')) $_GET['content'] = '/error/keine_seite';

	require_once('lib/lang/lang.de.php');
	require_once('../lib/db_config.php');
	require_once('../lib/datenbank.inc.php');
	require_once('lib/var.php');
    require_once('../lib/functions.lib.php');
    session_start();
    $grundconfig = $datenbank->get_row("SELECT * FROM ". PREFIX . CONFIG ." ",true);
    require_once('lib/layout.lib.php');
    require_once( '../lib/extras.lib.php' );
	require_once('lib/run.inc.php');

    $shows = 0;
    if (!isset($_GET['page'])) $_GET['page'] = '/startseite';
    if (!file_exists('page'.$_GET['page'].'.php')) $_GET['page'] = '/error/keine_seite';

?>

<!DOCTYPE html>
<html lang='de'>
    <head>
        <title>..:: Adminforce ::..</title>
        <meta charset="UTF-8">
        <meta name="generator" content="vms-script">
        <meta name="Author" content="Designerscripte.net">
        <meta name="Publisher" content="Designerscripte.net">
        <meta name="Keywords" content="vms,paid4,loginscript">
        <meta name="Description" content="Verdien was Du willst">
        <meta name="Robots" content="INDEX,FOLLOW">
        <link href="../css/bootstrap.min.css" rel="stylesheet"> 
        <link href="../css/dachboard.css" rel="stylesheet"> 
		<link href="../js/multibox.css" rel="stylesheet" type="text/css" />
		<script src="//cdn.ckeditor.com/4.4.7/full/ckeditor.js"></script>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
		<script src="../js/bootstrap.min.js"></script>
		<script src="js/admin.js"></script>
    </head>

    <body>
    <noscript><div style="font: 10pt Arial; color: #ff0000; text-align: center;">Um <b>alle Funktionen des Adminforce</b> nutzen zu k&ouml;nnen, bitte <b>JavaScript aktivieren</b>!</div></noscript>
	<nav class="navbar navbar-dark fixed-top bg-dark flex-md-nowrap p-0 shadow">
		<a class="navbar-brand col-sm-3 col-md-2 mr-0" href="<?php echo $domain.'/adminforce';?>">..:: Adminforce ::..</a>
		<?php if(isset($_SESSION['admin']) && $_SESSION['admin'] == 1){?>
			<a class="nav-link" href="?page=/startseite">Startseite</a>
			<a class="nav-link" href="?page=/bilanzsystem">Bilanz</a>
			<a class="nav-link" href="?page=/usersystem/liste">Userliste</a>
			<input class="form-control form-control-dark w-100" type="text" placeholder="Search" aria-label="Search">
			<button class="btn btn-warning nav-link">Suchen</button>
			<a class="btn btn-danger nav-link" href="?content=/logout/">Logout</a>
		<?php } ?>
    </nav>
    <div class="container-fluid">
		<div class="row">
			<nav class="col-md-2 d-none d-md-block bg-light sidebar">
				<div class="sidebar-sticky">
					<?php if(isset($_SESSION['admin']) && $_SESSION['admin'] == 1) require_once('lib/menue_links.php');?>
				</div>
			</nav>
			<main role="main" class="col-md-9 ml-sm-auto col-lg-10 px-4">
				<div class="jumbotron">
					<?php 
					if(!empty($meldung)){
					?>
					<script>
						$(window).load(function(){
							$('#meldung_modal').modal('show');
						});
					</script>
					
					<div class="modal fade" id="meldung_modal">
						<div class="modal-dialog">
							<div class="modal-content">
								<div class="modal-body">
									<?php
										if($error == '1'){
											echo '
											<div class="alert alert-danger" role="alert">
											';
										}else{
											echo '
											<div class="alert alert-success" role="alert">
											';
										}
										
										echo $meldung;
									?>
									</div>
								</div>
								<div class="modal-footer">
									<button type="button" class="btn btn-default" data-dismiss="modal">Schließen</button>
								</div>
							</div>
						</div>
					</div>
					<?php	
					}
					if(isset($_SESSION['admin']) && $_SESSION['admin'] == 1) {
						if(file_exists('../install')){
							echo '<div class="alert alert-danger text-center">Du musst den Ordner install noch l&ouml;schen</div>';
						}
						require_once('page'.$_GET['page'].'.php');
					}else{
						echo '
							<form  method="post">
								<div class="input-group">
									<input type="Text" class="form-control" name="loginname" value="'.$_POST['loginname'].'" placeholder="Username">
									<input type="Password" class="form-control" name="passwort" value="" placeholder="Passwort">
									<div class="input-group-append">
										<input type="submit" name="checkAdmin" value="Login" class="btn btn-primary">
									</div>
								</div>
									
									
								</form>
						';
					}?>
				</div>
			</main>
		</div>
	</div>
</body>
</html>
